Subject: Re: [PATCH v2 4/6] [POWERPC] QE: implement support for the GPIO LIB API

From: Timur Tabi <[email-masked]>
Date: Wed, 30 Apr 2008 18:03:45 -0500

Anton Vorontsov wrote:

> What is the problem with returning (int)(u32 & u32) value?

Technically, a signed int is smaller than an unsigned int, so a value of
0x80000000 won't fit in an 'int'.

> You've asked to remove "!!" stuff and now purposing exactly the
> same... :-?

The !! stuff was because the function was returning a boolean value, so non-zero
== TRUE.  I don't think the return value from 'get' is a technically a boolean,
so I'm assuming that the spec says the return value should be 0 or 1, to reflect
the value of that GPIO pin.

-- 
Timur Tabi
Linux kernel developer at Freescale